<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

if( !defined('CONFIXX') ) 
{
	return;
}


if($edit && $job = $crn->getEntry( base64_decode($edit) ))
{
	$edkey = $edit;
	foreach ( array_keys($vars) as $k )
	{
		$var_values[$k] = $job->getValue($k);
	}
}
//print_r($bad_values);

?>
<script>
<?
echo js_f_call_help("cron_desc_title", "cron_desc2");
?>
</script>
<form action="tools_cron.php" method="POST">
<input type="hidden" name="edkey" value="<?=$edkey?>">
<input type="hidden" name="save" value="1">
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
<? foreach( $vars as $k => $v ): ?>
<?
    $red_col = false;
    if($bad_values[$k])
    {
		$red_col = true;
		foreach ($bad_values[$k] as $e)
		{
		    $alerts[] = $vars[$k] . " : " . $e;
		}
    }
?>
<tr>
	<td><? if($red_col): ?><font color="Red"><? endif; ?><?=$v?><? if($red_col): ?></font><? endif; ?></td>
	<td><input type="text" name="<?=$k?>" value="<?=htmlspecialchars($var_values[$k])?>"></td>
</tr>
<? endforeach; ?>
<tr>
	<td colspan="2" align="right"><? echo std_button(ltext('tofeae_btn_send'), 'javascript:doChange()') ?></td>
</tr>
</table>
</form>
